Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class ResourceChangeEvent

    java.lang.Object
      org.eclipse.birt.report.model.api.activity.NotificationEvent
          org.eclipse.birt.report.model.api.command.ResourceChangeEvent

Direct Known Subclasses:
  LibraryChangeEvent

    public abstract class ResourceChangeEvent

extends NotificationEvent

Notification event that says that the module need refreshing. The listener can find out which module changed by calling `NotificationEvent.getTarget()`( ).

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

Constructor Summary
`ResourceChangeEvent(java.lang.String path)` Constructor.

Method Summary
`java.lang.String` | `getChangedResourcePath()` Returns the file path of the changed library.

Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent
`getDeliveryPath, getEventType, getSender, getTarget, isSame, setDeliveryPath, setSender, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceChangeEvent

    public ResourceChangeEvent(java.lang.String path)

  Constructor.

  Parameters:
    `path` - the file path of the changed library.

Method Detail

### getChangedResourcePath

    public java.lang.String getChangedResourcePath()

  Returns the file path of the changed library.

  Returns:
    the file path of the changed library.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.